## org.biojava.bio.search
Class SeqSimilaritySearchSubHit.ByScoreComparator

    java.lang.Object
      org.biojava.bio.search.SeqSimilaritySearchSubHit.ByScoreComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  SeqSimilaritySearchSubHit

public static final class SeqSimilaritySearchSubHit.ByScoreComparator
extends java.lang.Object
implements java.util.Comparator

`ByScoreComparator` compares `SeqSimilaritySearchSubHit`s by their score.

Constructor Summary
`SeqSimilaritySearchSubHit.ByScoreComparator()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SeqSimilaritySearchSubHit.ByScoreComparator

    public SeqSimilaritySearchSubHit.ByScoreComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`